Debian Bug report logs - #648283
libqwt5-doc: rename or remove deprecated.3

version graph

Package: libqwt5-doc; Maintainer for libqwt5-doc is Gudjon I. Gudjonsson <gudjon@gudjon.org>; Source for libqwt5-doc is src:qwt5.

Reported by: Ralf Treinen <treinen@debian.org>

Date: Thu, 10 Nov 2011 09:33:01 UTC

Severity: important

Fixed in version qwt5/5.2.2-2

Done: gudjon@gudjon.org (Gudjon I. Gudjonsson)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gudjon I. Gudjonsson <gudjon@gudjon.org>, Antonio Terceiro <terceiro@debian.org>:
Bug#648283; Package libqwt5-doc,libpstreams-dev. (Thu, 10 Nov 2011 09:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@debian.org>:
New Bug report received and forwarded. Copy sent to Gudjon I. Gudjonsson <gudjon@gudjon.org>, Antonio Terceiro <terceiro@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

libpstreams-dev/0.7.0-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 10 Nov 2011 09:33:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: submit@bugs.debian.org
Subject: libpstreams-dev and libqwt5-doc: error when trying to install together
Date: Thu, 10 Nov 2011 10:28:11 +0100
Package: libqwt5-doc,libpstreams-dev
Version: libqwt5-doc/5.2.2-1
Version: libpstreams-dev/0.7.0-1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2011-11-10
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libpstreams-dev libqwt5-doc
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package libpstreams-dev.
(Reading database ... 10587 files and directories currently installed.)
Unpacking libpstreams-dev (from .../libpstreams-dev_0.7.0-1_all.deb) ...
Selecting previously unselected package libqwt5-doc.
Unpacking libqwt5-doc (from .../libqwt5-doc_5.2.2-1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/libqwt5-doc_5.2.2-1_all.deb (--unpack):
 trying to overwrite '/usr/share/man/man3/deprecated.3.gz', which is also in package libpstreams-dev 0.7.0-1
configured to not write apport reports
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libqwt5-doc_5.2.2-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/share/man/man3/deprecated.3.gz

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.




Information forwarded to debian-bugs-dist@lists.debian.org, Gudjon I. Gudjonsson <gudjon@gudjon.org>:
Bug#648283; Package libqwt5-doc,libpstreams-dev. (Thu, 10 Nov 2011 11:42:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Gudjon I. Gudjonsson <gudjon@gudjon.org>. (Thu, 10 Nov 2011 11:42:20 GMT) Full text and rfc822 format available.

Message #10 received at 648283@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Ralf Treinen <treinen@debian.org>, 648283@bugs.debian.org
Subject: Re: Bug#648283: libpstreams-dev and libqwt5-doc: error when trying to install together
Date: Thu, 10 Nov 2011 09:38:33 -0200
[Message part 1 (text/plain, inline)]
clone 648283 -1
reassign -1 libpstreams-dev
reassign 648283 libqwt5-doc
thanks

Ralf Treinen escreveu isso aĆ­:
> Here is a list of files that are known to be shared by both packages
> (according to the Contents file for sid/amd64, which may be
> slightly out of sync):
> 
>   /usr/share/man/man3/deprecated.3.gz
> 
> This bug has been filed against both packages. If you, the maintainers of
> the two packages in question, have agreed on which of the packages will
> resolve the problem please reassign the bug to that package. You may then
> also register in the BTS that the other package is affected by the bug.

IMO neither package should be installing a manpage with such a generic
name, so I am cloning this bug to libpstreams-dev and leaving the
original one to libqwt5-doc.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug 648283 cloned as bug 648298. Request was from Antonio Terceiro <terceiro@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 11:42:27 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libqwt5-doc,libpstreams-dev' to 'libqwt5-doc'. Request was from Antonio Terceiro <terceiro@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 11:42:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gudjon I. Gudjonsson <gudjon@gudjon.org>:
Bug#648283; Package libqwt5-doc. (Sat, 03 Mar 2012 14:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Gudjon I. Gudjonsson <gudjon@gudjon.org>. (Sat, 03 Mar 2012 14:54:05 GMT) Full text and rfc822 format available.

Message #19 received at 648283@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 648283@bugs.debian.org, Antonio Terceiro <terceiro@debian.org>
Cc: control@bugs.debian.org
Subject: Should not package generic 'deprecated' manpage
Date: Sat, 3 Mar 2012 14:51:57 +0000
[Message part 1 (text/plain, inline)]
retitle 648283 libqwt5-doc: rename or remove deprecated.3
severity 648283 important
quit

Despite pstreams fixing the other half of this bug, *any* package which
uses Doxygen for documentation could end up with a deprecated page
which is entirely reasonable as a package-specific HTML component of
the documentation. There is no justification for explicitly packaging
deprecated.3 as a general purpose manpage when it *only* applies to
any single package.

Either remove this line:
doc/man/man3/deprecated.3

from:
debian/libqwt5-doc.manpages

or find a way to rename deprecated.3 to libqwt5-deprecated.3 -
anything which is package-specific.

Is the list of deprecated functions in this package *really* suitable as
a manpage at all?

I'm temporarily lowering the severity of this bug but as soon as any
other package using Doxygen uses the same functionality, this bug will
have to be raised to RC again. *Please* fix this before that becomes
necessary. Just because pstreams has helped out this time, doesn't mean
that qwt5 can ignore the risk of the same thing happening again.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'libqwt5-doc: rename or remove deprecated.3' from 'libpstreams-dev and libqwt5-doc: error when trying to install together' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 14:54:11 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 14:54:12 GMT) Full text and rfc822 format available.

Reply sent to gudjon@gudjon.org (Gudjon I. Gudjonsson):
You have taken responsibility. (Tue, 10 Apr 2012 15:51:10 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. (Tue, 10 Apr 2012 15:51:10 GMT) Full text and rfc822 format available.

Message #28 received at 648283-close@bugs.debian.org (full text, mbox):

From: gudjon@gudjon.org (Gudjon I. Gudjonsson)
To: 648283-close@bugs.debian.org
Subject: Bug#648283: fixed in qwt5 5.2.2-2
Date: Tue, 10 Apr 2012 15:49:35 +0000
Source: qwt5
Source-Version: 5.2.2-2

We believe that the bug you reported is fixed in the latest version of
qwt5, which is due to be installed in the Debian FTP archive:

libqwt5-doc_5.2.2-2_all.deb
  to main/q/qwt5/libqwt5-doc_5.2.2-2_all.deb
libqwt5-qt4-dev_5.2.2-2_i386.deb
  to main/q/qwt5/libqwt5-qt4-dev_5.2.2-2_i386.deb
libqwt5-qt4_5.2.2-2_i386.deb
  to main/q/qwt5/libqwt5-qt4_5.2.2-2_i386.deb
qwt5_5.2.2-2.debian.tar.gz
  to main/q/qwt5/qwt5_5.2.2-2.debian.tar.gz
qwt5_5.2.2-2.dsc
  to main/q/qwt5/qwt5_5.2.2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gudjon I. Gudjonsson <gudjon@gudjon.org> (supplier of updated qwt5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Apr 2012 12:44:10 +0200
Source: qwt5
Binary: libqwt5-qt4-dev libqwt5-qt4 libqwt5-doc
Architecture: source i386 all
Version: 5.2.2-2
Distribution: unstable
Urgency: low
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Changed-By: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Description: 
 libqwt5-doc - Qt widgets library for technical applications (documentation)
 libqwt5-qt4 - Qt4 widgets library for technical applications (runtime)
 libqwt5-qt4-dev - Qt4 widgets library for technical applications (development)
Closes: 648283
Changes: 
 qwt5 (5.2.2-2) unstable; urgency=low
 .
   * Remove man page deprecated.3 (Closes: #648283)
   * Add watch file
   * Bump standards version to 3.9.3
Checksums-Sha1: 
 aad4d8909b657cc275c2c5da730a01e1c15015e2 1159 qwt5_5.2.2-2.dsc
 f721b8a94da2ec176831cbe3768c869ebe1a78f8 9635 qwt5_5.2.2-2.debian.tar.gz
 2616f0acfcf2b46acd23451b1377e536bd01003d 105262 libqwt5-qt4-dev_5.2.2-2_i386.deb
 cddfa30411bd3c56673b7484fcf727b370728031 333626 libqwt5-qt4_5.2.2-2_i386.deb
 f852b2fe6d6cb79d93ec012b2359dce76cef784b 2454596 libqwt5-doc_5.2.2-2_all.deb
Checksums-Sha256: 
 61ad3e0e3f410f133788eefe94dd7721b5cf20b2baeb6d59a934bfa04fc3585e 1159 qwt5_5.2.2-2.dsc
 a83a60b71fa317d6c577a327c215d3881c87ca3849793ca62d36ad5d694f6f50 9635 qwt5_5.2.2-2.debian.tar.gz
 f4246df3ca79985d6df3fc448fb4c6606ff063bd20a0728bb7210e433ae3c15c 105262 libqwt5-qt4-dev_5.2.2-2_i386.deb
 55da7652d9d23d7d1a7a247ebeda48f6bc04f1c50c6f022dc88730c50b7c817a 333626 libqwt5-qt4_5.2.2-2_i386.deb
 3461485e9ae470cfa567e5ebbd10eb3a51461cd2d79e58c1be7f7719b250e541 2454596 libqwt5-doc_5.2.2-2_all.deb
Files: 
 4458005b66c74f130f8abbb8db7cee66 1159 libs optional qwt5_5.2.2-2.dsc
 9325b56926b347e609546126e5f676ac 9635 libs optional qwt5_5.2.2-2.debian.tar.gz
 e86c6d399cf171741af7cdb33b95c181 105262 libdevel optional libqwt5-qt4-dev_5.2.2-2_i386.deb
 5fed441ad4582b4ed4c0053eb6cce253 333626 libs optional libqwt5-qt4_5.2.2-2_i386.deb
 3c47d376ca29e9cb02d9aafbcb35cef4 2454596 doc optional libqwt5-doc_5.2.2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+EYVYACgkQtqm6aqWbEXE43QCggGIQKZxMRKId4Op7aSv9Lc9K
RbEAn26vd7swaVm70AE//lsuuP7CWOOz
=fWu7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 May 2012 07:41:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:42:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.